import { createSlice } from '@reduxjs/toolkit';
import {
  registerPluginReducer,
  removePluginReducer,
  getAllPluginsReducer,
} from './plugins.reducers';

import { PLUGINS_INITIAL_STATE } from './plugins.constants';

const pluginsSlice = createSlice({
  name: 'plugins',
  initialState: PLUGINS_INITIAL_STATE,
  reducers: {
    removePlugin: removePluginReducer,
  },
  extraReducers: builder => {
    registerPluginReducer(builder);
    getAllPluginsReducer(builder);
  },
});

export const { removePlugin } = pluginsSlice.actions;
export default pluginsSlice.reducer;
